
U++ - Feature #527

Add operator = to EditIntSpin and rest of WithSpin controls

09/27/2013 10:59 PM - Iñaki Zabala

Status: Approved Start date: 09/27/2013

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: CtrlLib Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Now it is an error to do:

EditIntSpin data;

data = 23;

However in EditInt is permitted.

It as simple as adding this to WithSpin:

WithSpin& operator=(const DataType& t)          { Base::SetData(t); return *this; }

History

#1 - 09/30/2013 10:59 AM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Iñaki Zabala

Seriously, if anything, I would like to remove operator= form EditInt.

For years, these things are supposed to be done with common <<= (and reverse with ~) operator. These early operator= variants are only kept to allow

really old code to compile.

#2 - 10/02/2013 08:12 AM - Iñaki Zabala

- Assignee changed from Iñaki Zabala to Miroslav Fidler

Yes you are right.

In that case it would be good to remove operator= in EditXXX classes as I think  <<= and a ~ operators are active as they are defined in Ctrl. Is not it?.

Some old code will complain but the fix is very easy. You could post it.

#3 - 10/07/2013 11:08 AM - Miroslav Fidler

- Status changed from New to Approved

Commented as deprecated, docs removed...
